This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1045868 - ibus-chewing *again* not built with $RPM_OPT_FLAGS
ibus-chewing *again* not built with $RPM_OPT_FLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-chewing (Show other bugs)
20
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2013-12-22 11:52 EST by Ville Skyttä
Modified: 2014-02-28 01:55 EST (History)
5 users (show)

See Also:
Fixed In Version: No remaining need info.
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-28 01:55:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-12-22 11:52:16 EST
Ding-Yi, looks like your last update to ibus-chewing 1.4.4-1 simply threw away my changes to fix bug 842856, the patch was removed and the package is now again built without $RPM_OPT_FLAGS even if the changelog claims otherwise:

http://pkgs.fedoraproject.org/cgit/ibus-chewing.git/commit/?id=9d2384f6a18e24003de5a6561a3381eb2017ef37

Why is that, and why was it done so that it also threw away the change logs?

If you're upstream for this package, please consider applying the patch I submitted so it won't get lost in the future; in CMakeLists.txt, replace:
    SET(CMAKE_C_FLAGS "-Wall")
...with:
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
...so that user set CFLAGS are honored and not overwritten by simply -Wall.
Comment 1 Fedora Update System 2014-01-15 09:39:12 EST
ibus-chewing-1.4.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.5-1.fc20
Comment 2 Fedora Update System 2014-01-16 02:00:11 EST
ibus-chewing-1.4.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.6-1.fc19
Comment 3 Fedora Update System 2014-01-16 02:00:56 EST
ibus-chewing-1.4.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.6-1.fc20
Comment 4 Fedora Update System 2014-02-01 01:02:55 EST
ibus-chewing-1.4.10.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.10.1-1.fc19
Comment 5 Fedora Update System 2014-02-01 01:03:21 EST
ibus-chewing-1.4.10.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.10.1-1.fc20
Comment 6 Fedora Update System 2014-02-11 18:10:11 EST
ibus-chewing-1.4.10.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-02-22 13:15:00 EST
ibus-chewing-1.4.10.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.